%global tarball xf86-input-wacom
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/input

Summary:    Xorg X11 wacom input driver
Name:       xorg-x11-drv-wacom
Version:    0.10.6
Release:    1%{?dist}
URL:        http://www.x.org
License:    GPLv2+
Group:      User Interface/X Hardware Support
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: http://prdownloads.sourceforge.net/linuxwacom/xf86-input-wacom-%{version}.tar.bz2

Patch01:  wacom-0.10.6-serial-identifiers.patch

ExcludeArch: s390 s390x

BuildRequires: xorg-x11-server-sdk >= 1.7.0
BuildRequires: xorg-x11-util-macros >= 1.3.0
BuildRequires: libX11-devel libXi-devel

Requires:  xorg-x11-server-Xorg >= 1.8.0-6
Requires: libX11 libXi

Provides:  linuxwacom = %{version}-%{release}
Obsoletes: linuxwacom <= 0.8.4.3

%description
X.Org X11 wacom input driver for Wacom tablets.

%prep
%setup -q -n %{tarball}-%{version}

%patch01 -p1

%build
%configure --disable-static
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

install -d $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README GPL
%{driverdir}/wacom_drv.so
%{_mandir}/man4/wacom.4*
%{_datadir}/X11/xorg.conf.d/50-wacom.conf
%{_bindir}/xsetwacom

%package devel
Summary:    Xorg X11 wacom input driver development package
Group:      Development/Libraries

Requires: xorg-x11-server-devel >= 1.7.0
Requires: pkgconfig

Provides:   linuxwacom-devel = %{version}-%{release}
Obsoletes:  linuxwacom-devel <= 0.8.4.3

%description devel
X.Org X11 wacom input driver development files.

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/xorg-wacom.pc
%{_includedir}/xorg/Xwacom.h
%{_includedir}/xorg/wacom-properties.h

%changelog
* Tue Apr 27 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.6-1
- wacom 0.10.6 
- wacom-0.10.6-serial-identifiers.patch: add some more serial IDs to the
  config file.


* Thu Apr 15 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.5-2
- Install config snippet in $datadir/X11/xorg.conf.d
- rename to 50-wacom.conf to match upstream naming.

* Fri Mar 19 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.5-1
- Update to 0.10.5
- wacom-0.10.4-xsetwacom-display.patch: Drop.

* Tue Mar 16 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.4-6
- wacom-0.10.4-xsetwacom-display.patch: fix option parsing for xsetwacom
  --display (Related #561835 cmd #26)

* Thu Mar 04 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.4-5
- Fix 10-wacom.conf for N-Trig devices: rename the class (copy/paste error)
  and only take event devices. (Related #526270)

* Mon Feb 22 2010 Adam Jackson <ajax@redhat.com> 0.10.4-4
- Fix upgrade path for linuxwacom-devel.

* Wed Feb 17 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.4-3
- Add 10-wacom.conf, the fdi file doesn't work anymore.
- Drop hal requires.

* Wed Feb 03 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.4-2
- Update sources to sourceforge, 0.10.4 was released on sf only.
- Remove wacom.fdi, we're just using the one shipped by the driver now.

* Thu Jan 21 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.4-1
- wacom 0.10.4

* Thu Jan 21 2010 Peter Hutterer <peter.hutterer@redhat.com> - 0.10.3-3
- Rebuild for server 1.8

* Tue Jan 05 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.3-2
- BuildRequires and Requires libX11 and libXi for xsetwacom.

* Tue Jan 05 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.3-1
- wacom 0.10.3

* Thu Dec 03 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.2-1
- wacom 0.10.2

* Fri Nov 20 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.1-2
- cvs add 10-wacom.fdi, this time really.

* Fri Nov 20 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.1-1
- wacom 0.10.1
- BuildRequires xorg-x11-util-macros 1.3.0
- Remove unnecessary 'find' directive, changed upstream.
- Add GPL document
- Install 10-wacom.fdi file.
- Provides: linuxwacom

* Thu Nov 19 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.0-3
- Use smp_mflags when building.

* Wed Nov 18 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.0-2
- Obsolete linuxwacom, don't Conflict with it.
- Remove trailing dot from summary (rpmlint warning).
- Remove spurious executable bits from source files (rpmlint warning).
- Add AUTHORS, ChangeLog, README to doc

* Mon Oct 19 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.0-1
- Initial import

